<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: TrajectoryGenerator1D.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_trajectory_generator1_d_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">TrajectoryGenerator1D.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_trajectory_generator1_d_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef TRAJECTORYGENERATOR1D_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define TRAJECTORYGENERATOR1D_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>TrajectoryGenerator1D_impl;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_trajectory_generator1_d.html">   47</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html">TrajectoryGenerator1D</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a27ec122c93e06838155d35541cd91ece">TrajectoryGenerator1D</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *position, std::string name,</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                        std::string unit = <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a90da7cbae745b5a2a8e52641f4b1d481">~TrajectoryGenerator1D</a>();</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a94f61b22433b9ad621d22a9f12517a26">StartTraj</a>(<span class="keywordtype">float</span> startPosition, <span class="keywordtype">float</span> endPosition,<span class="keywordtype">float</span> startVelocity=0);</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a28cc21dac02612396c4be5af97c87b2b">StopTraj</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#aafcba1bfa8ff1efb1ac8b321799ba859">Reset</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2">IsRunning</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a81d60661d67c3c01a357e14489b3e59e">SetPositionOffset</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a58f86c717fed6e84b22684e881837d2b">SetSpeedOffset</a>(<span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a6003a11baad8940a0eae6c8533b1fd4f">Update</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a> time);</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#af6af3476756c395c0903aea16f6df452">Position</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a3fbfb99d8a470b1d17250a8fa0de2c6d">Speed</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  </div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a612032f1c34dd544ee698b6bdb89db48">GetPercentageOfCompletion</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1filter_1_1_trajectory_generator1_d.html#ae6b3e479f5c9be30c0db89437266c723">GetMatrix</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;  TrajectoryGenerator1D_impl *pimpl_;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;};</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="preprocessor">#endif // TRAJECTORYGENERATOR1D_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a90da7cbae745b5a2a8e52641f4b1d481"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a90da7cbae745b5a2a8e52641f4b1d481">flair::filter::TrajectoryGenerator1D::~TrajectoryGenerator1D</a></div><div class="ttdeci">~TrajectoryGenerator1D()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_ae6b3e479f5c9be30c0db89437266c723"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#ae6b3e479f5c9be30c0db89437266c723">flair::filter::TrajectoryGenerator1D::GetMatrix</a></div><div class="ttdeci">core::Matrix * GetMatrix(void) const </div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html">flair::filter::TrajectoryGenerator1D</a></div><div class="ttdoc">Class generating a trajectory in 1D. </div><div class="ttdef"><b>Definition:</b> TrajectoryGenerator1D.h:47</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a94f61b22433b9ad621d22a9f12517a26"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a94f61b22433b9ad621d22a9f12517a26">flair::filter::TrajectoryGenerator1D::StartTraj</a></div><div class="ttdeci">void StartTraj(float startPosition, float endPosition, float startVelocity=0)</div><div class="ttdoc">Start trajectory. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a3fbfb99d8a470b1d17250a8fa0de2c6d"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a3fbfb99d8a470b1d17250a8fa0de2c6d">flair::filter::TrajectoryGenerator1D::Speed</a></div><div class="ttdeci">float Speed(void) const </div><div class="ttdoc">Speed. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_af6af3476756c395c0903aea16f6df452"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#af6af3476756c395c0903aea16f6df452">flair::filter::TrajectoryGenerator1D::Position</a></div><div class="ttdeci">float Position(void) const </div><div class="ttdoc">Position. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a81d60661d67c3c01a357e14489b3e59e"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a81d60661d67c3c01a357e14489b3e59e">flair::filter::TrajectoryGenerator1D::SetPositionOffset</a></div><div class="ttdeci">void SetPositionOffset(float value)</div><div class="ttdoc">Set position offset. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a27ec122c93e06838155d35541cd91ece"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a27ec122c93e06838155d35541cd91ece">flair::filter::TrajectoryGenerator1D::TrajectoryGenerator1D</a></div><div class="ttdeci">TrajectoryGenerator1D(const gui::LayoutPosition *position, std::string name, std::string unit=&quot;&quot;)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a58f86c717fed6e84b22684e881837d2b"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a58f86c717fed6e84b22684e881837d2b">flair::filter::TrajectoryGenerator1D::SetSpeedOffset</a></div><div class="ttdeci">void SetSpeedOffset(float value)</div><div class="ttdoc">Set speed offset. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a28cc21dac02612396c4be5af97c87b2b"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a28cc21dac02612396c4be5af97c87b2b">flair::filter::TrajectoryGenerator1D::StopTraj</a></div><div class="ttdeci">void StopTraj(void)</div><div class="ttdoc">Stop trajectory. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a1bae2d6c79641e21fba1c6c02424f7a2"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2">flair::filter::TrajectoryGenerator1D::IsRunning</a></div><div class="ttdeci">bool IsRunning(void) const </div><div class="ttdoc">Is trajectory running? </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_aafcba1bfa8ff1efb1ac8b321799ba859"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#aafcba1bfa8ff1efb1ac8b321799ba859">flair::filter::TrajectoryGenerator1D::Reset</a></div><div class="ttdeci">void Reset(void)</div><div class="ttdoc">Reset. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a6003a11baad8940a0eae6c8533b1fd4f"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a6003a11baad8940a0eae6c8533b1fd4f">flair::filter::TrajectoryGenerator1D::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update using provided datas. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator1_d_html_a612032f1c34dd544ee698b6bdb89db48"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator1_d.html#a612032f1c34dd544ee698b6bdb89db48">flair::filter::TrajectoryGenerator1D::GetPercentageOfCompletion</a></div><div class="ttdeci">float GetPercentageOfCompletion(void) const </div><div class="ttdoc">Get percentage of completion. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_c640b400eb634d478af9606dd6c9f1e6.html">FlairFilter</a></li><li class="navelem"><a class="el" href="dir_9f4b49da50e680b0f2ceec11232e4cfd.html">src</a></li><li class="navelem"><a class="el" href="_trajectory_generator1_d_8h.html">TrajectoryGenerator1D.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
